﻿--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are FOR and/or FROM Jewelcrafting.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Jewelcrafting(iID)
	for k, v in pairs(SmexyMats.ItemsFrom_Jewelcrafting) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false;
end;

function SmexyMats:IsFor_Jewelcrafting(iID)
	for k, v in pairs(SmexyMats.ItemsFor_Jewelcrafting) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;

SmexyMats.ItemsFrom_Jewelcrafting = {

	--7.3
		151568,	--	Primal Sargerite
	
		151580,	--	Deadly Deep Chemirine
		151931,	--	Empyrial Circlet
		151587,	--	Empyrial Cosmic Crown
		151878,	--	Empyrial Crown
		151588,	--	Empyrial Deep Crown
		151589,	--	Empyrial Elemental Crown
		151933,	--	Empyrial Florid Malachite Setting
		151932,	--	Empyrial Hesselian Setting
		151590,	--	Empyrial Titan Crown
		151564,	--	Empyrium
		151584,	--	Masterful Argulite
		151583,	--	Quick Lightsphene
		151585,	--	Versatile Labradorite

	-- Legacy
		24243,	--	Adamantite Powder
		76137,	--	Alexandrite
		52179,	--	Alicite
		52195,	--	Amberjewel
		36931,	--	Ametrine
		7909,	--	Aquamarine
		36921,	--	Autumn's Glow
		12800,	--	Azerothian Diamond
		130174,	--	Azsunite
		23117,	--	Azure Moonstone
		23077,	--	Blood Garnet
		36917,	--	Bloodstone
		12361,	--	Blue Sapphire
		20817,	--	Bronze Setting
		36919,	--	Cardinal Ruby
		52177,	--	Carnelian
		36923,	--	Chalcedony
		130175,	--	Chaotic Spinel
		3864,	--	Citrine
		36932,	--	Dark Jade
		130180,	--	Dawnlight
		23440,	--	Dawnstone
		130173,	--	Deep Amber
		23079,	--	Deep Peridot
		20816,	--	Delicate Copper Wire
		52194,	--	Demonseye
		36928,	--	Dreadstone
		52192,	--	Dream Emerald
		52193,	--	Ember Topaz
		151721,	--	Empyrium
		130179,	--	Eye of Prophecy
		36934,	--	Eye of Zul
		21929,	--	Flame Spessarite
		36933,	--	Forest Emerald
		130178,	--	Furystone
		129100,	--	Gem Chip
		23112,	--	Golden Draenite
		52181,	--	Hessonite
		36929,	--	Huge Citrine
		12364,	--	Huge Emerald
		76141,	--	Imperial Amethyst
		52190,	--	Inferno Ruby
		1529,	--	Jade
		52182,	--	Jasper
		36922,	--	King's Amber
		76133,	--	Lapis Lazuli
		12799,	--	Large Opal
		1705,	--	Lesser Moonstone
		23436,	--	Living Ruby
		130182,	--	Maelstrom Sapphire
		36925,	--	Majestic Zircon
		774,	--	Malachite
		31079,	--	Mercurial Adamantite
		20963,	--	Mithril Filigree
		36930,	--	Monarch Topaz
		1206,	--	Moss Agate
		23441,	--	Nightseye
		52180,	--	Nightstone
		23439,	--	Noble Topaz
		52191,	--	Ocean Sapphire
		76136,	--	Pandarian Garnet
		130181,	--	Pandemonite
		76132,	--	Primal Diamond
		76131,	--	Primordial Ruby
		130177,	--	Queen's Opal
		76138,	--	River's Heart
		76135,	--	Roguestone
		130245,	--	Saber's Eye
		130172,	--	Sangrite
		36918,	--	Scarlet Ruby
		36926,	--	Shadow Crystal
		23107,	--	Shadow Draenite
		1210,	--	Shadowgem
		130183,	--	Shadowruby
		36924,	--	Sky Sapphire
		130176,	--	Skystone
		90407,	--	Sparkling Shard
		23438,	--	Star of Elune
		7910,	--	Star Ruby
		36920,	--	Sun Crystal
		76142,	--	Sun's Radiance
		76134,	--	Sunstone
		115524,	--	Taladite Crystal
		23437,	--	Talasite
		21752,	--	Thorium Setting
		76130,	--	Tiger Opal
		818,	--	Tigerseye
		36927,	--	Twilight Opal
		76140,	--	Vermilion Onyx
		52327,	--	Volatile Earth
		76139,	--	Wild Jade
		52178,	--	Zephyrite
};

SmexyMats.ItemsFor_Jewelcrafting =  {
	--7.3
		151579,	--	Labradorite
		151718,	--	Argulite
		151719,	--	Lightsphene
		151720,	--	Chemirine
		151721,	--	Hesselian
		151722,	--	Florid Malachite
		151568,	--	Primal Sargerite
		151564,	--	Empyrium

	--Legacy
		23446,	--	Adamantite Bar
		24243,	--	Adamantite Powder
		76137,	--	Alexandrite
		52179,	--	Alicite
		52195,	--	Amberjewel
		36931,	--	Ametrine
		7909,	--	Aquamarine
		12363,	--	Arcane Crystal
		12360,	--	Arcanite Bar
		36921,	--	Autumn's Glow
		12800,	--	Azerothian Diamond
		130174,	--	Azsunite
		23117,	--	Azure Moonstone
		11754,	--	Black Diamond
		7971,	--	Black Pearl
		109118,	--	Blackrock Ore
		23077,	--	Blood Garnet
		124124,	--	Blood of Sargeras
		36917,	--	Bloodstone
		12361,	--	Blue Sapphire
		7081,	--	Breath of Wind
		2841,	--	Bronze Bar
		20817,	--	Bronze Setting
		36919,	--	Cardinal Ruby
		52177,	--	Carnelian
		36923,	--	Chalcedony
		130175,	--	Chaotic Spinel
		52196,	--	Chimera's Eye
		3864,	--	Citrine
		2836,	--	Coarse Stone
		2840,	--	Copper Bar
		7075,	--	Core of Earth
		32227,	--	Crimson Spinel
		37701,	--	Crystallized Earth
		11371,	--	Dark Iron Bar
		36932,	--	Dark Jade
		130180,	--	Dawnlight
		23440,	--	Dawnstone
		130173,	--	Deep Amber
		23079,	--	Deep Peridot
		71807,	--	Deepholm Iolite
		20816,	--	Delicate Copper Wire
		12662,	--	Demonic Rune
		52194,	--	Demonseye
		12365,	--	Dense Stone
		42225,	--	Dragon's Eye
		36928,	--	Dreadstone
		52192,	--	Dream Emerald
		34052,	--	Dream Shard
		41334,	--	Earthsiege Diamond
		25867,	--	Earthstorm Diamond
		7067,	--	Elemental Earth
		7070,	--	Elemental Water
		52186,	--	Elementium Bar
		71810,	--	Elven Peridot
		52193,	--	Ember Topaz
		32228,	--	Empyrean Sapphire
		7076,	--	Essence of Earth
		7078,	--	Essence of Fire
		12808,	--	Essence of Undeath
		35623,	--	Eternal Air
		35624,	--	Eternal Earth
		36860,	--	Eternal Fire
		35625,	--	Eternal Life
		35627,	--	Eternal Shadow
		35622,	--	Eternal Water
		23447,	--	Eternium Bar
		130179,	--	Eye of Prophecy
		36934,	--	Eye of Zul
		23445,	--	Fel Iron Bar
		127759,	--	Felblight
		123919,	--	Felslate
		23448,	--	Felsteel Bar
		124106,	--	Felwort
		109125,	--	Fireweed
		21929,	--	Flame Spessarite
		36933,	--	Forest Emerald
		109124,	--	Frostweed
		43102,	--	Frozen Orb
		130178,	--	Furystone
		7079,	--	Globe of Water
		3577,	--	Gold Bar
		23112,	--	Golden Draenite
		109126,	--	Gorgrond Flytrap
		23573,	--	Hardened Adamantite Bar
		35128,	--	Hardened Khorium
		7077,	--	Heart of Fire
		10286,	--	Heart of the Wild
		2838,	--	Heavy Stone
		52181,	--	Hessonite
		36929,	--	Huge Citrine
		12364,	--	Huge Emerald
		52555,	--	Hypnotic Dust
		76141,	--	Imperial Amethyst
		124444,	--	Infernal Brimstone
		52190,	--	Inferno Ruby
		34054,	--	Infinite Dust
		3575,	--	Iron Bar
		1529,	--	Jade
		24478,	--	Jaggal Pearl
		52182,	--	Jasper
		52188,	--	Jeweler's Setting
		23449,	--	Khorium Bar
		36922,	--	King's Amber
		76133,	--	Lapis Lazuli
		5637,	--	Large Fang
		12799,	--	Large Opal
		11178,	--	Large Radiant Shard
		71808,	--	Lava Coral
		1705,	--	Lesser Moonstone
		123918,	--	Leystone Ore
		71806,	--	Lightstone
		32229,	--	Lionseye
		12803,	--	Living Essence
		23436,	--	Living Ruby
		72104,	--	Living Steel
		130182,	--	Maelstrom Sapphire
		36925,	--	Majestic Zircon
		774,	--	Malachite
		31079,	--	Mercurial Adamantite
		3860,	--	Mithril Bar
		20963,	--	Mithril Filigree
		36930,	--	Monarch Topaz
		1206,	--	Moss Agate
		22578,	--	Mote of Water
		23441,	--	Nightseye
		52180,	--	Nightstone
		23439,	--	Noble Topaz
		36783,	--	Northsea Pearl
		52191,	--	Ocean Sapphire
		83092,	--	Orb of Mystery
		76136,	--	Pandarian Garnet
		130181,	--	Pandemonite
		12804,	--	Powerful Mojo
		22451,	--	Primal Air
		76132,	--	Primal Diamond
		22452,	--	Primal Earth
		21884,	--	Primal Fire
		21886,	--	Primal Life
		22457,	--	Primal Mana
		23571,	--	Primal Might
		23572,	--	Primal Nether
		22456,	--	Primal Shadow
		120945,	--	Primal Spirit
		21885,	--	Primal Water
		76131,	--	Primordial Ruby
		18335,	--	Pristine Black Diamond
		32231,	--	Pyrestone
		71805,	--	Queen's Garnet
		130177,	--	Queen's Opal
		76138,	--	River's Heart
		76135,	--	Roguestone
		2835,	--	Rough Stone
		130245,	--	Saber's Eye
		130172,	--	Sangrite
		118472,	--	Savage Blood
		36918,	--	Scarlet Ruby
		32249,	--	Seaspray Emerald
		76734,	--	Serpent's Eye
		36926,	--	Shadow Crystal
		23107,	--	Shadow Draenite
		24479,	--	Shadow Pearl
		71809,	--	Shadow Spinel
		1210,	--	Shadowgem
		130183,	--	Shadowruby
		32230,	--	Shadowsong Amethyst
		52303,	--	Shadowspirit Diamond
		2842,	--	Silver Bar
		36784,	--	Siren's Tear
		36924,	--	Sky Sapphire
		25868,	--	Skyfire Diamond
		41266,	--	Skyflare Diamond
		130176,	--	Skystone
		5498,	--	Small Lustrous Pearl
		7912,	--	Solid Stone
		113264,	--	Sorcerous Air
		113263,	--	Sorcerous Earth
		113261,	--	Sorcerous Fire
		113262,	--	Sorcerous Water
		11083,	--	Soul Dust
		76061,	--	Spirit of Harmony
		23438,	--	Star of Elune
		7910,	--	Star Ruby
		109127,	--	Starflower
		36920,	--	Sun Crystal
		34664,	--	Sunmote
		76142,	--	Sun's Radiance
		76134,	--	Sunstone
		115524,	--	Taladite Crystal
		109129,	--	Talador Orchid
		23437,	--	Talasite
		12359,	--	Thorium Bar
		21752,	--	Thorium Setting
		76130,	--	Tiger Opal
		818,	--	Tigerseye
		41163,	--	Titanium Bar
		109119,	--	True Iron Ore
		58480,	--	Truegold
		6037,	--	Truesilver Bar
		36927,	--	Twilight Opal
		76140,	--	Vermilion Onyx
		11137,	--	Vision Dust
		52328,	--	Volatile Air
		52327,	--	Volatile Earth
		52325,	--	Volatile Fire
		52329,	--	Volatile Life
		52326,	--	Volatile Water
		76139,	--	Wild Jade
		52178,	--	Zephyrite
};